Bug 17056 - Remove event attributes from various templates
Summary: Remove event attributes from various templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-05 14:42 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17056 - Remove event attributes from various templates (9.30 KB, patch)
2016-08-05 14:45 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17056 - Remove event attributes from various templates (9.33 KB, patch)
2016-08-23 01:47 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[PASSED QA] Bug 17056 - Remove event attributes from various templates (9.39 KB, patch)
2016-09-18 16:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-08-05 14:42:22 UTC
I'm working on a patch which will remove event attributes from the following templates:

catalogue/MARCdetail.tt
catalogue/labeledMARCdetail.tt
offline_circ/process_koc.tt
reports/guided_reports_start.tt
Comment 1 Owen Leonard 2016-08-05 14:45:46 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-08 13:24:13 UTC
This was marked as "Patch doesn't apply" but it's working fine for me. Please re-test.
Comment 3 Aleisha Amohia 2016-08-23 01:47:58 UTC
Created attachment 54735 [details] [review]
[SIGNED-OFF] Bug 17056 - Remove event attributes from various templates

This patch removes event attributes from several templates, moving event
definitions into the JavaScript instead.

To test, apply the patch and:

- View the MARC detail page for any bibliographic record. Changing the
  framework selection should reload the display using the selected
  framework.

- Perform the same test on the labeled MARC view. (Set the
  viewLabeledMARC system preference to "Allow" if necessary).

- To test the changes to Reports you should have at least one report
  group and at least one report subgroup.
  - Create a new saved SQL report.
  - Select a report group. Doing so should trigger the display of report
    subgroups. Deselecting the report group should hide the subgroups.

- In Acquisitions -> Suggestions, create a new suggestion.
  - In the 'Acquisition information' section, changing values for
    copies, currency, and price should change the value in the total
    field.

- In Circulation -> Upload offline circulation file:
  - My patch for Bug 16602 added the required code but forgot to remove
    the corresponding onclick attributes.
  - Browse for an offline circulation file.
  - Clicking the 'Upload file' button should work correctly.
    - After uploading a file, both the 'Add to offline circulation
      queue' and 'Apply directly' buttons should work to trigger their
      corresponding processes (keeping Bug 16603 in mind).

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>
Comment 4 Katrin Fischer 2016-09-18 16:36:32 UTC
Created attachment 55661 [details] [review]
[PASSED QA] Bug 17056 - Remove event attributes from various templates

This patch removes event attributes from several templates, moving event
definitions into the JavaScript instead.

To test, apply the patch and:

- View the MARC detail page for any bibliographic record. Changing the
  framework selection should reload the display using the selected
  framework.

- Perform the same test on the labeled MARC view. (Set the
  viewLabeledMARC system preference to "Allow" if necessary).

- To test the changes to Reports you should have at least one report
  group and at least one report subgroup.
  - Create a new saved SQL report.
  - Select a report group. Doing so should trigger the display of report
    subgroups. Deselecting the report group should hide the subgroups.

- In Acquisitions -> Suggestions, create a new suggestion.
  - In the 'Acquisition information' section, changing values for
    copies, currency, and price should change the value in the total
    field.

- In Circulation -> Upload offline circulation file:
  - My patch for Bug 16602 added the required code but forgot to remove
    the corresponding onclick attributes.
  - Browse for an offline circulation file.
  - Clicking the 'Upload file' button should work correctly.
    - After uploading a file, both the 'Add to offline circulation
      queue' and 'Apply directly' buttons should work to trigger their
      corresponding processes (keeping Bug 16603 in mind).

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-09-27 13:11:14 UTC
Pushed to master for 16.11, thanks Owen!
Comment 6 Frédéric Demians 2016-09-30 09:35:25 UTC
Pushed in 16.05. Will be in 16.05.05.